<?xml version="1.0" encoding="UTF-8" ?> 

<!-- ADDING THE TEXTFILE SUPPORT.  NOT YET DONE -->

<!-- =========================================================================== -->
<!--                                                                             -->
<!-- ====================================================                        -->
<!-- copyright 2000 by voxeo corporation. (see LGPL.txt)                         -->
<!-- ====================================================                        -->
<!--                                                                             -->
<!-- v1.0 Coded in ColdFusion                                                    -->
<!-- v1.0 Coded by Shane Smith and Stephen J. Lewis                              -->
<!--                                                                             -->
<!-- This application allows you to assign up to 10 callxml applications to      -->
<!-- one voxeo phone number.  It is also coded in ASP, Perl, and PHP.            -->
<!--                                                                             -->
<!-- This zip file contains the following files:                                 -->
<!--     applicationswitcher.php     <==== PHP version                           -->
<!--     applicationswitcher.pl      <==== Perl version                          -->
<!--     applicationswitcher.asp     <==== ASP version                           -->
<!--     applicationswitcher.cfm     <==== This file                             -->
<!--     applicationswitcher.mdb     <==== Access 2000 Database that stores the  -->
<!--                                       locations of each application         -->
<!--     database-win32.inc          <==== Abstracted database routines for PHP  -->
<!--                                       under Windows32 environments          -->
<!--     database-linux.inc          <==== Abstracted database routines for PHP  -->
<!--                                       under linux environments              -->
<!--                                                                             -->
<!--     LGPL.txt                    <==== opensource license agreement          -->
<!--     readme.txt                  <==== Introductory file                     -->
<!--                                                                             -->
<!-- =========================================================================== -->

<callxml>

  <!-- ====================================== -->
  <!-- Grab the information from the database -->
  <!-- ====================================== -->

  <cffile ACTION="READ"
          FILE="c:\inetpub\wwwroot\jumpstart\applicationswitcher\applicationswitcher.ini"
          VARIABLE="FileVariable">
		  
  <cfoutput>
    #FileVariable#
  </cfoutput>
  
  <cfquery NAME="DatabaseQuery" DATASOURCE="ApplicationSwitcher">
	select Name,URL from Applications order by AppNum
  </cfquery>

  <cfif #DatabaseQuery.recordcount# is 0 >
    <text>There are currently no applications in the database to choose from.</text> 
    <hangup/>

  <cfelse>
    <cfset NameArray=ArrayNew(1)>
    <cfset URLArray=ArrayNew(1)>
    <cfset TermdigitArray=ArrayNew(1)> 	
	<cfset Temp       = "">
	<cfset Termdigits = "">
	<cfset Loopy      = "0">
	
  <!-- =================================================================================== -->
  <!-- First we determine the termdigits; remember, we only support 10 applications here   -->
  <!-- This is because the <text> element currently clears out the digit buffer.  Thus     -->
  <!-- you can use termdigits, but not a <getdigits>; otherwise, you have to listen to     -->
  <!-- the entire menu list before choosing.                                               -->
  <!-- =================================================================================== -->
  
    <cfoutput query="DatabaseQuery"> 
      <cfset Loopy = #IncrementValue(Loopy)#>

      <cfif Loopy less than "11">
	    <cfset NumberOfURLs     = Loopy>
        <cfset NameArray[Loopy] = Name>  
        <cfset URLArray[Loopy]  = URL>
		
		<cfif Loopy is 10>
		  <cfset Temp = "0">
		<cfelse>
		  <cfset Temp = Loopy>
		</cfif>
		
		<cfset TermdigitArray[Loopy] = Temp>
		
		<cfset Termdigits = "#Termdigits##Temp#">
	  </cfif>
    </cfoutput> 
	
  <!-- ========================================================= -->
  <!-- Here is where we actually display the entire menu, having -->
  <!-- been created from the database.                           -->
  <!-- ========================================================= -->		
	
	<cfoutput>
	  <cfset NamesText = "">
	  <cfset URLsText  = "">
	  
  <!-- =============================================== -->
  <!-- Next we determine the Text To Speech message    -->
  <!-- And the event handlers.                         -->
  <!-- =============================================== -->	 
	
      <block label="MainMenu" repeat="3">
        <text termdigits="#Termdigits#">	
		  <cfloop index="Loopy" from="1" to="#NumberOfURLs#" step="1">
            For #NameArray[Loopy]# press #TermdigitArray[Loopy]#,,		  
		  </cfloop>
		</text>	
		
		<cfloop index="Loopy" from="1" to="#NumberOfURLs#" step="1">
	      <ontermdigit value="#TermdigitArray[Loopy]#">
	        <goto value="#URLArray[Loopy]#" cache="no"/>
	      </ontermdigit>  
		</cfloop>	
	  </block>	
	</cfoutput>
	
  </cfif>

</callxml>

<!-- ====================================================================================== -->

  
  

 

  

	
  








